using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CustomerWinCSharp
{
    public partial class CustomerWin : Form
    {
        public CustomerWin()
        {
            InitializeComponent();
        }

        // Uncomment out this code to run this feature without the combo box
        //private void CustomerWin_Load(object sender, EventArgs e)
        //{
        //    Customer CustomerInstance = Customer.Create(1);
        //    customerBindingSource.DataSource = CustomerInstance;

        //    PurchasedItemCollection ItemCollection = PurchasedItemCollection.Create(1);
        //    purchasedItemCollectionBindingSource.DataSource = ItemCollection;

        //}

        // Comment out this code to run this feature without the combo box
        private void CustomerWin_Load(object sender, EventArgs e)
        {
            CustomerList CustomerListInstance = new CustomerList();
            customerListBindingSource.DataSource = CustomerListInstance.CustomerDataTable;
        }

        private void fullNameComboBox_SelectionChangeCommitted(object sender, EventArgs e)
        {
            Int32 selectedID = Convert.ToInt32(fullNameComboBox.SelectedValue);
            Customer CustomerInstance = Customer.Create(selectedID);
            customerBindingSource.DataSource = CustomerInstance;

            PurchasedItemCollection ItemCollection = PurchasedItemCollection.Create(selectedID);
            purchasedItemCollectionBindingSource.DataSource = ItemCollection;
        }
    }
}